commit:     b06bddb75e9d3d31f7ce3540014616d01e66406c
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Jun  1 02:18:00 2025 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Jun  1 02:36:55 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b06bddb7

net-proxy/mitmproxy-rs: Bump to 0.12.6

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 net-proxy/mitmproxy-rs/Manifest                   |  2 +
 net-proxy/mitmproxy-rs/mitmproxy-rs-0.12.6.ebuild | 53 +++++++++++++++++++++++
 2 files changed, 55 insertions(+)

diff --git a/net-proxy/mitmproxy-rs/Manifest b/net-proxy/mitmproxy-rs/Manifest
index 828905e99ee1..5a07624ee641 100644
--- a/net-proxy/mitmproxy-rs/Manifest
+++ b/net-proxy/mitmproxy-rs/Manifest
@@ -5,4 +5,6 @@ DIST mitmproxy_rs-0.12.3-crates.tar.xz 55236484 BLAKE2B 
d1279c3b64ec12f88d71ab05
 DIST mitmproxy_rs-0.12.3.tar.gz 1321031 BLAKE2B 
dfd6d96d860169cd6293cbe37ac6aa401f0313d4885feaf3728fbeab3fb88a4ab9a6cf610102b5263212458077a79528a3601cebfcd0d4731644f094e6dba321
 SHA512 
186a52feff6292752fab9db03729da4a412e8a28e32b656cc3795ada0f3319334c598746387ac2646b9af4716646950b070a88dd43624c827d7f9c7683eadc05
 DIST mitmproxy_rs-0.12.5-crates.tar.xz 48932336 BLAKE2B 
dfdb6fc0c789361e90bd14e7ae02d81705b98a69d7d6b91114eaaac317ca2971fb6d4ed8fe3eb4801826adf8f782727fbe018d71adf21b1634eecd6039619671
 SHA512 
f8cb08bd509112f67e1ff1b2e4af9f4e3117a9451e7fae0bef7428ee6f1c576732a1ace69898fa3379ebf9a5da4293014b3cf7dffdd6f0d16f36f5de433d5c0c
 DIST mitmproxy_rs-0.12.5.tar.gz 1321109 BLAKE2B 
c91b62ece2d402c7f29ecec0713831c6b377a250a427f749d95abab00c4f696a8634cf82478b1efecadee29c0d0198aaeec0c95bd4527f4f7473807f76314755
 SHA512 
e954690a3114117a7089ecfc81e45ebc51ac6ba67e955ccbc2e6ee62299ccad2d8575710208d6a08706d115c1e7ac47bb62eda0405a57628525ccbb72c098235
+DIST mitmproxy_rs-0.12.6-crates.tar.xz 49026512 BLAKE2B 
a342d004dca4570056525b206dc72576d060fa4a31d50abf2660540578da28a65b8a4d235a2802c8ae516a94ee5d5f6d3dcb58903e7da88313b851331e60a398
 SHA512 
07c33a9ee563919edb03e60a410522901f4eddaa28712cab1605c8ed7accf74f9347d89ef2462c450fd275b45b4e8c4d27c22157a85a80f96f37b7ca50a2e938
+DIST mitmproxy_rs-0.12.6.tar.gz 1320785 BLAKE2B 
4e5b763bb7cae28fc35157c291797a9dbce972d4db008c54a346d43e9f4229dcdc949588e41cdaf9a428d92b21eeda364ee257285ce1128afa796eb671350f48
 SHA512 
875d67409c722a6860089ef0ca301a3c8824010fc686717c4bce0e5edbdffe3f60ab969095d74888c5fbd2c53728584704aff3ff94dd97f78697dec49482073a
 DIST smoltcp-ef67e7b46cabf49783053cbf68d8671ed97ff8d4.gh.tar.gz 334018 BLAKE2B 
48c906c3c37ba691fee9889ce526cf5d4426b087fcf284eaecb934a349d6eb3da971dd2de172f3a29bfcd05f5a5449de015342feb0add23ac490e9a9f8b6fce1
 SHA512 
72020f063215ff5cede1fac6d9f17251f3dfa684b1f7a1c27700a629221e928859d02d099e1382ae82e66165dc83ea54baa3e907109d8cd58b90c93b58b71d45

diff --git a/net-proxy/mitmproxy-rs/mitmproxy-rs-0.12.6.ebuild 
b/net-proxy/mitmproxy-rs/mitmproxy-rs-0.12.6.ebuild
new file mode 100644
index 000000000000..43a6f68a477e
--- /dev/null
+++ b/net-proxy/mitmproxy-rs/mitmproxy-rs-0.12.6.ebuild
@@ -0,0 +1,53 @@
+# Copyright 2024-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+CRATES="
+"
+
+declare -A GIT_CRATES=(
+       
[boringtun]='https://github.com/cloudflare/boringtun;e3252d9c4f4c8fc628995330f45369effd4660a1;boringtun-%commit%/boringtun'
+)
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=maturin
+PYTHON_COMPAT=( python3_{12..14} )
+RUST_MIN_VER=1.85.0
+
+inherit cargo distutils-r1 pypi
+
+DESCRIPTION="mitmproxy's Rust bits"
+HOMEPAGE="
+       https://github.com/mitmproxy/mitmproxy_rs/
+       https://pypi.org/project/mitmproxy-rs/
+"
+SRC_URI+="
+       ${CARGO_CRATE_URIS}
+       
https://github.com/gentoo-crate-dist/mitmproxy_rs/releases/download/v${PV}/${P/-/_}-crates.tar.xz
+"
+
+LICENSE="MIT"
+# Dependent crate licenses
+LICENSE+="
+       0BSD Apache-2.0 Apache-2.0-with-LLVM-exceptions BSD-2 BSD ISC
+       LGPL-3+ MIT Unicode-3.0 WTFPL-2 ZLIB
+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64"
+
+RDEPEND="
+       ~net-proxy/mitmproxy-linux-${PV}[${PYTHON_USEDEP}]
+"
+
+src_prepare() {
+       distutils-r1_src_prepare
+
+       # replace upstream crate substitution with our crate substitution, sigh
+       local bor_dep=$(grep ^boringtun "${ECARGO_HOME}"/config.toml || die)
+       sed -i -e "/boringtun/s;^.*$;${bor_dep};" Cargo.toml || die
+}
+
+python_test() {
+       cargo_src_test --manifest-path mitmproxy-rs/Cargo.toml
+}

Reply via email to